jmeter-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Collin <mark.col...@lazeryattack.com>
Subject JMeter 2.13 Maven Transient dependencies are incorrect
Date Sun, 22 Mar 2015 10:23:14 GMT
Looks like the 2.13 maven build doesn’t work either.

I’ve added the following defect:

https://bz.apache.org/bugzilla/show_bug.cgi?id=57734

Can you please add a test that just pulls down JMeter from maven and checks that the transient
dependencies are there, this is the second release running that has had problems.

It looks like the JMeter POMS are expecting 

<dependency>
    <groupId>commons-math3</groupId>
    <artifactId>commons-math3</artifactId>
    <version>3.4.1</version>
</dependency>
<dependency>
    <groupId>commons-pool2</groupId>
    <artifactId>commons-pool2</artifactId>
    <version>2.3</version>
</dependency>

When they should be expecting

<dependency>
    <groupId>org.apache.commons</groupId>
    <artifactId>commons-math3</artifactId>
    <version>3.4.1</version>
</dependency>
<dependency>
    <groupId>org.apache.commons</groupId>
    <artifactId>commons-pool2</artifactId>
    <version>2.3</version>
</dependency>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message